## AgsPasswordStoreManager

AgsPasswordStoreManager — singleton pattern to organize password stores

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_PASSWORD_STORE_MANAGER_GET_OBJ_MUTEX()
GList * | ags_password_store_manager_get_password_store ()
void | ags_password_store_manager_add_password_store ()
void | ags_password_store_manager_remove_password_store ()
gboolean | ags_password_store_manager_check_password ()
AgsPasswordStoreManager * | ags_password_store_manager_get_instance ()
AgsPasswordStoreManager * | ags_password_store_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsPasswordStoreManager

## Includes

    #include <ags/server/security/ags_password_store_manager.h>

## Description

The AgsPasswordStoreManager manages your password stores.

## Functions

### AGS_PASSWORD_STORE_MANAGER_GET_OBJ_MUTEX()

    #define AGS_PASSWORD_STORE_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsPasswordStoreManager *) obj)->obj_mutex))

### ags_password_store_manager_get_password_store ()

    GList *
    ags_password_store_manager_get_password_store
                                   (AgsPasswordStoreManager *password_store_manager);

Get password_store.

#### Parameters

password_store_manager | the AgsPasswordStoreManager |

#### Returns

the GList containing GObject implementing AgsPasswordStore.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_password_store_manager_add_password_store ()

    void
    ags_password_store_manager_add_password_store
                                   (AgsPasswordStoreManager *password_store_manager,
                                    GObject *password_store);

Add `password_store` to `password_store_manager` .

#### Parameters

password_store_manager | the AgsPasswordStoreManager |
password_store | the GObject implementing AgsPasswordStore |

Since: 3.0.0

### ags_password_store_manager_remove_password_store ()

    void
    ags_password_store_manager_remove_password_store
                                   (AgsPasswordStoreManager *password_store_manager,
                                    GObject *password_store);

Remove `password_store` from `password_store_manager` .

#### Parameters

password_store_manager | the AgsPasswordStoreManager |
password_store | the GObject implementing AgsPasswordStore |

Since: 3.0.0

### ags_password_store_manager_check_password ()

    gboolean
    ags_password_store_manager_check_password
                                   (AgsPasswordStoreManager *password_store_manager,
                                    gchar *user_uuid,
                                    gchar *password);

Check `password` to be valid for `user_uuid` .

#### Parameters

password_store_manager | the AgsPasswordStoreManager |
user_uuid | the user uuid |
password | the password |

#### Returns

`TRUE` if password matches, otherwise `FALSE`

Since: 3.0.0

### ags_password_store_manager_get_instance ()

    AgsPasswordStoreManager *
    ags_password_store_manager_get_instance
                                   ();

Get instance.

#### Returns

the AgsPasswordStoreManager.

[transfer none]

Since: 3.0.0

### ags_password_store_manager_new ()

    AgsPasswordStoreManager *
    ags_password_store_manager_new ();

Creates an AgsPasswordStoreManager

#### Returns

a new AgsPasswordStoreManager

Since: 3.0.0